Subject: Re: [PATCH v4 1/9] ppc64 (le): prepare for -mprofile-kernel

From: Torsten Duwe <[email-masked]>
Date: Thu, 26 Nov 2015 13:57:27 +0100

On Thu, Nov 26, 2015 at 01:12:12PM +0300, Denis Kirjanov wrote:
> On 11/25/15, Torsten Duwe <[email-masked]> wrote:
> > +			 */
> > +			return 2;
> I didn't find where you check for this return value.

That's a pure debugging convenience. The return test is for != 0,
so any non-zero value will do. I've encountered situations where
I'd really liked to know _why_ a routine failed/succeeded, visible
in the registers in the debugger.

This is no big thing, I have no strong opinion about this.

	Torsten